Bug 988884 - (PM-403, PRODMGT-403) Add a manual sync avail check to the UI
Add a manual sync avail check to the UI
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring -- Other (Show other bugs)
JON 3.2
Unspecified Unspecified
urgent Severity urgent
: Alpha-x
: JON 3.2.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 988881
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 11:41 EDT by Heiko W. Rupp
Modified: 2014-01-02 15:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Synchronous determination of availability of a managed resource. Reason: Current availability checks are done infrequently and at larger intervals. Sometimes it is needed to quickly get the current availability of a resource. < see also description of the item which explains more > Result (if any):
Story Points: ---
Clone Of: 988881
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-403 Major Resolved Add a manual, synchronous availability check to the UI. 2013-12-17 18:42:52 EST

  None (edit)
Description Heiko W. Rupp 2013-07-26 11:41:15 EDT
+++ This bug was initially created as a clone of Bug #988881 +++

Provide a means to manually check for live availabilty with a contextually appropriate response (e.g. not in the msg center)

This may need a full set of new apis. Those apis are *not* exposed on the remote api. GUI only

I can imagine that the customer can click on the avail icon of a resource, a spinning icon appears while the check is running and then when the method call returns the icon is replaced with the appropriate avail state.

The check must also update the avail information in the server entities (availability, resource availability) and the agents "mind" if necessary to prevent conflicting information in case that e.g. the user checks avail on a resource, which is then reported back as down and the user goes to the parents child-resources tab, which must also reflect this new state.

The new state also needs to go into alerting, so if the user has set up an alert on goes down and resource which is green is reported as down, that alert must (almost) immediately trigger after the remote call has returned.
Comment 2 JBoss JIRA Server 2013-08-08 09:54:55 EDT
Larry O'Leary <loleary@redhat.com> made a comment on jira PRODMGT-403

ACK'd by engineering and scheduled for 3.2 release as indicated in previous comments.
Comment 3 Lukas Krejci 2013-08-15 07:14:17 EDT
This is now in master, see BZ 988881.
Comment 5 Simeon Pinder 2013-08-26 11:36:18 EDT
Moving to ON_QA as available for testing in latest 3.2.x ALPHA 58 build:

https://brewweb.devel.redhat.com//buildinfo?buildID=291947
Comment 6 Lukas Krejci 2013-08-27 06:53:19 EDT
This is still being worked on, despite some of the code already being in master.
Therefore I'd like to leave it now from testing right now.

See BZ 988881 for updates.
Comment 10 Mike Foley 2013-09-13 13:55:39 EDT
QE work on this ticket.

https://engineering.redhat.com/trac/jon/ticket/857
Comment 12 Mike Foley 2013-09-19 13:20:23 EDT
from Sunil ...

Filed new BZ while testing this BZ 

https://bugzilla.redhat.com/show_bug.cgi?id=1009902


Executed test cases on PM-403
https://tcms.engineering.redhat.com/run/85397/

Note You need to log in before you can comment on or make changes to this bug.